For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTSetKeyValueItem
        • POSTDelKeyValueItem
        • POSTGetKeyValueItem
        • POSTGetKeyValueItems
        • POSTGetKeyValueKeys
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceKey Value Storage

GetKeyValueKeys

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetKeyValueKeys
POST
/platform_api/GetKeyValueKeys
$curl -X POST "https://api.voximplant.com/platform_api/GetKeyValueKeys?application_id=1" \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": [
3 {
4 "key": "key1",
5 "expires_at": 1606346632
6 },
7 {
8 "key": "test",
9 "expires_at": 1606846632
10 },
11 {
12 "key": "test:1",
13 "expires_at": 1606846632
14 }
15 ]
16}

Gets all the keys of key-value pairs.

Allowed roles: Owner, Admin, Developer.

Example request: GetKeyValueKeys example.

Was this page helpful?
Previous

GetKeyValueItems

Next

GetAccountInvoices

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

keystringOptional
Namespace that keys should contain, up to 200 characters
countintegerOptional
Number of items to show per page with a maximum value of 50. Default value is 10
offsetintegerOptional

Number of items to skip (e.g. if you set count = 20 and offset = 0 the first time, the next time, offset has to be equal to 20 to skip the items shown earlier). Default value is 0

application_idintegerRequired
The application ID
application_namestringOptional
The application name

Response

Successful response
resultlist of objects

The key-value keys